[sip-comm] FC rpm on Centos 5 -- where to get alsa-oss rpm?


#1

Hello Robert,

Yes, the RPM package of Sip Communicator does require alsa-oss. Basically, there's no general recipe for all distro's how to get it installed. You should figure out the best way for your distro. For Fedora, you can use: yum install alsa-oss. I'm not sure if Centos 5 uses yum or up2date but, anyway, you can try to install that package from the official repositories of Centos 5. If the rpm you found on rpm.pbone.net works for you, then fine - use it.

This dependency would have been made to get resolved automatically if I had prepared a yum repository for that purpose - much like the Debian repository here: http://www.sip-communicator.org/index.php/Main/DebianRepository

However, I had some technical difficulties doing that, because the build machine is running Debian, plus I would have had to do that for Fedora 4, 5, 6, 7, 8, 9, ..., Centos 4, 5, ... openSuSE 10, 11, ... so I just decided to leave the RPM package as is and the duty of resolving the dependencies to the users :slight_smile:

Here is another example how one can get dependencies resolved using yum:
(taken from the yum man page):
"localinstall
              Is used to install a set of local rpm files. If required the enabled repositories will be used to resolve dependencies."

So, here is an example command:

yum localinstall sip-communicator-1.0-alpha3.nightly.build.1270.i386.rpm
Setting up Local Package Process
Examining sip-communicator-1.0-alpha3.nightly.build.1270.i386.rpm: sip-communicator - 1.0-alpha3.nightly.build.1270.i386
Marking sip-communicator-1.0-alpha3.nightly.build.1270.i386.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package sip-communicator.i386 0:1.0-alpha3.nightly.build.1270 set to be updated
--> Processing Dependency: alsa-oss for package: sip-communicator
--> Running transaction check
---> Package alsa-oss.i386 0:1.0.14-3.fc8 set to be updated
--> Processing Dependency: alsa-oss-libs = 1.0.14-3.fc8 for package: alsa-oss
--> Running transaction check
---> Package alsa-oss-libs.i386 0:1.0.14-3.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

···

=============================================================================
Package Arch Version Repository Size

Installing:
sip-communicator i386 1.0-alpha3.nightly.build.1270 sip-communicator-1.0-alpha3.nightly.build.1270.i386.rpm 32 M
Installing for dependencies:
alsa-oss i386 1.0.14-3.fc8 fedora 11 k
alsa-oss-libs i386 1.0.14-3.fc8 fedora 29 k

Transaction Summary

Install 3 Package(s)
Update 0 Package(s)
Remove 0 Package(s)

Total download size: 32 M
Is this ok [y/N]: y
Downloading Packages:
(1/2): alsa-oss-1.0.14-3. 100% |=========================| 11 kB 00:00
(2/2): alsa-oss-libs-1.0. 100% |=========================| 29 kB 00:00

Package sip-communicator-1.0-alpha3.nightly.build.1270.i386.rpm is not signed

Thanks,
Pavel Tankov

----- Original Message ----

From: Robert Moskowitz <rgm@htt-consult.com>
To: users@sip-communicator.dev.java.net
Sent: Wednesday, July 30, 2008 8:41:37 PM
Subject: [sip-comm] FC rpm on Centos 5 -- where to get alsa-oss rpm?

I tried to install the FC rpm on Centos 5. Had a missing dependency of
alsa-oss.

After much digging, I found:

http://rpm.pbone.net/index.php3/stat/4/idpl/6370415/com/alsa-oss-1.0.14-3.el5.ccrma.i386.rpm.html

and also alsa-oss-libs. sip-communicator is now installed, but I hope
this is what I need....

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: users-help@sip-communicator.dev.java.net